summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
Diffstat (limited to 'jjb')
-rw-r--r--jjb/joid/joid-daily-jobs.yml22
-rw-r--r--jjb/opnfvdocs/opnfvdocs.yml8
-rwxr-xr-xjjb/xci/bifrost-verify.sh2
-rw-r--r--jjb/xci/xci-daily-jobs.yml15
-rwxr-xr-xjjb/xci/xci-deploy.sh69
-rwxr-xr-xjjb/xci/xci-provision.sh8
6 files changed, 97 insertions, 27 deletions
diff --git a/jjb/joid/joid-daily-jobs.yml b/jjb/joid/joid-daily-jobs.yml
index 8c69c8310..ec6c868c9 100644
--- a/jjb/joid/joid-daily-jobs.yml
+++ b/jjb/joid/joid-daily-jobs.yml
@@ -163,17 +163,17 @@
# i.e. one tempest smoke ipv6, two vping from functest)
# 4.not used for release criteria or compliance,
# only to debug the dovetail tool bugs with joid
- - trigger-builds:
- - project: 'dovetail-joid-{pod}-debug-{stream}'
- current-parameters: false
- predefined-parameters:
- DEPLOY_SCENARIO={scenario}
- block: true
- same-node: true
- block-thresholds:
- build-step-failure-threshold: 'never'
- failure-threshold: 'never'
- unstable-threshold: 'FAILURE'
+ #- trigger-builds:
+ # - project: 'dovetail-joid-{pod}-debug-{stream}'
+ # current-parameters: false
+ # predefined-parameters:
+ # DEPLOY_SCENARIO={scenario}
+ # block: true
+ # same-node: true
+ # block-thresholds:
+ # build-step-failure-threshold: 'never'
+ # failure-threshold: 'never'
+ # unstable-threshold: 'FAILURE'
- job-template:
name: 'joid-deploy-{pod}-daily-{stream}'
diff --git a/jjb/opnfvdocs/opnfvdocs.yml b/jjb/opnfvdocs/opnfvdocs.yml
index 0553cd436..fc825ff64 100644
--- a/jjb/opnfvdocs/opnfvdocs.yml
+++ b/jjb/opnfvdocs/opnfvdocs.yml
@@ -8,8 +8,8 @@
project: '{name}'
jobs:
- - 'opnfvdocs-verify-{stream}'
- - 'opnfvdocs-merge-{stream}'
+ - 'opnfvdocs-verify-shellcheck-{stream}'
+ - 'opnfvdocs-merge-shellcheck-{stream}'
- 'opnfvdocs-daily-{stream}'
stream:
@@ -27,7 +27,7 @@
########################
- job-template:
- name: 'opnfvdocs-verify-{stream}'
+ name: 'opnfvdocs-verify-shellcheck-{stream}'
disabled: '{obj:disabled}'
@@ -72,7 +72,7 @@
- check-bash-syntax
- job-template:
- name: 'opnfvdocs-merge-{stream}'
+ name: 'opnfvdocs-merge-shellcheck-{stream}'
disabled: '{obj:disabled}'
diff --git a/jjb/xci/bifrost-verify.sh b/jjb/xci/bifrost-verify.sh
index e0c50907a..762466825 100755
--- a/jjb/xci/bifrost-verify.sh
+++ b/jjb/xci/bifrost-verify.sh
@@ -115,7 +115,7 @@ sudo /bin/cp -rf /opt/releng/prototypes/bifrost/* /opt/bifrost/
cd /opt/bifrost
sudo -E ./scripts/destroy-env.sh
-# provision 3 VMs; jumphost, controller, and compute
+# provision 3 VMs; xcimaster, controller, and compute
cd /opt/bifrost
sudo -E ./scripts/test-bifrost-deployment.sh
diff --git a/jjb/xci/xci-daily-jobs.yml b/jjb/xci/xci-daily-jobs.yml
index c685aa974..65da308ae 100644
--- a/jjb/xci/xci-daily-jobs.yml
+++ b/jjb/xci/xci-daily-jobs.yml
@@ -78,12 +78,12 @@
concurrent: false
properties:
- - logrotate-default
- build-blocker:
use-build-blocker: true
blocking-jobs:
- - 'xci-os-.*?-{pod}-daily-.*'
+ - '^xci-os.*'
block-level: 'NODE'
+ - logrotate-default
parameters:
- string:
@@ -137,14 +137,14 @@
concurrent: false
properties:
- - logrotate-default
- build-blocker:
use-build-blocker: true
blocking-jobs:
- - 'xci-provision-.*?-{pod}-daily-.*'
- - 'xci-deploy-.*?-{pod}-daily-.*'
- - 'xci-functest-.*?-{pod}-daily-.*'
+ - '^xci-provision.*'
+ - '^xci-deploy.*'
+ - '^xci-functest.*'
block-level: 'NODE'
+ - logrotate-default
parameters:
- string:
@@ -177,6 +177,9 @@
- string:
name: CLEAN_DIB_IMAGES
default: 'true'
+ - label:
+ name: SLAVE_LABEL
+ default: '{slave-label}'
builders:
- description-setter:
diff --git a/jjb/xci/xci-deploy.sh b/jjb/xci/xci-deploy.sh
index b97b24e47..dae67cf84 100755
--- a/jjb/xci/xci-deploy.sh
+++ b/jjb/xci/xci-deploy.sh
@@ -1,3 +1,70 @@
#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -o errexit
+set -o nounset
+set -o pipefail
-echo "Deployment via openstack-ansible"
+trap cleanup_and_upload EXIT
+
+function fix_ownership() {
+ if [ -z "${JOB_URL+x}" ]; then
+ echo "Not running as part of Jenkins. Handle the logs manually."
+ else
+ # Make sure cache exists
+ [[ ! -d ${HOME}/.cache ]] && mkdir ${HOME}/.cache
+
+ sudo chown -R jenkins:jenkins $WORKSPACE
+ sudo chown -R jenkins:jenkins ${HOME}/.cache
+ fi
+}
+
+function cleanup_and_upload() {
+ original_exit=$?
+ fix_ownership
+ exit $original_exit
+}
+
+# check distro to see if we support it
+if [[ ! "$DISTRO" =~ (xenial|centos7|suse) ]]; then
+ echo "Distro $DISTRO is not supported!"
+ exit 1
+fi
+
+# remove previously cloned repos
+sudo /bin/rm -rf /opt/openstack-ansible /opt/stack /opt/releng /opt/functest
+
+# Fix up permissions
+fix_ownership
+
+# openstack-ansible enables strict host key checking by default
+export ANSIBLE_HOST_KEY_CHECKING=False
+
+# display the nodes
+cd /opt/bifrost
+source env-vars
+ironic node-list
+virsh list
+
+# ensure the branches to use are set
+export OPNFV_BRANCH=${OPNFV_BRANCH:-master}
+export OPENSTACK_BRANCH=${OPENSTACK_BRANCH:-master}
+
+# clone releng repo
+sudo git clone -b $OPNFV_BRANCH https://gerrit.opnfv.org/gerrit/releng /opt/releng
+
+# this script will be reused for promoting openstack-ansible versions and using
+# promoted openstack-ansible versions as part of xci daily.
+USE_PROMOTED_VERSIONS=${USE_PROMOTED_VERSIONS:-false}
+if [ $USE_PROMOTED_VERSIONS = "true" ]; then
+ echo "TBD: Will use the promoted versions of openstack/opnfv projects"
+fi
+
+cd /opt/releng/prototypes/openstack-ansible/scripts
+sudo -E ./osa-deploy.sh
diff --git a/jjb/xci/xci-provision.sh b/jjb/xci/xci-provision.sh
index 4308c7ef8..e474093b8 100755
--- a/jjb/xci/xci-provision.sh
+++ b/jjb/xci/xci-provision.sh
@@ -43,9 +43,9 @@ sudo /bin/rm -rf /opt/bifrost /opt/openstack-ansible /opt/stack /opt/releng /opt
# Fix up permissions
fix_ownership
-# clone all the repos first and checkout the patch afterwards
-OPENSTACK_BRANCH=${OPENSTACK_BRANCH:-master}
-OPNFV_BRANCH=${OPNFV_BRANCH:-master}
+# ensure the branches to use are set
+export OPENSTACK_BRANCH=${OPENSTACK_BRANCH:-master}
+export OPNFV_BRANCH=${OPNFV_BRANCH:-master}
sudo git clone -b $OPENSTACK_BRANCH https://git.openstack.org/openstack/bifrost /opt/bifrost
sudo git clone -b $OPNFV_BRANCH https://gerrit.opnfv.org/gerrit/releng /opt/releng
@@ -63,7 +63,7 @@ sudo /bin/cp -rf /opt/releng/prototypes/bifrost/* /opt/bifrost/
cd /opt/bifrost
sudo -E ./scripts/destroy-env.sh
-# provision 6 VMs; jumphost, controller00, controller01, controller02, compute00, and compute01
+# provision 6 VMs; xcimaster, controller00, controller01, controller02, compute00, and compute01
cd /opt/bifrost
sudo -E ./scripts/osa-bifrost-deployment.sh